Package org.tmatesoft.svn.core.wc

## Class SVNConflictStats

- java.lang.Object
- - org.tmatesoft.svn.core.wc.SVNConflictStats

-     public class SVNConflictStats
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SVNConflictStats()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getPropConflictsCount()` |
    `int` | `getResolvedPropConflictsCount()` |
    `int` | `getResolvedTextConflictsCount()` |
    `int` | `getResolvedTreeConflictsCount()` |
    `int` | `getSkippedPathsCount()` |
    `int` | `getTextConflictsCount()` |
    `int` | `getTreeConflictsCount()` |
    `void` | `incrementPropConflictsResolved​(java.lang.String path)` |
    `void` | `incrementSkippedPaths()` |
    `void` | `incrementTextConflictsResolved​(java.lang.String path)` |
    `void` | `incrementTreeConflictsResolved​(java.lang.String path)` |
    `void` | `storePropConflict​(java.lang.String path)` |
    `void` | `storeTextConflict​(java.lang.String path)` |
    `void` | `storeTreeConflict​(java.lang.String path)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVNConflictStats

          public SVNConflictStats()

  - ### Method Detail

    - #### incrementTextConflictsResolved

          public void incrementTextConflictsResolved​(java.lang.String path)

    - #### incrementPropConflictsResolved

          public void incrementPropConflictsResolved​(java.lang.String path)

    - #### incrementTreeConflictsResolved

          public void incrementTreeConflictsResolved​(java.lang.String path)

    - #### getResolvedTextConflictsCount

          public int getResolvedTextConflictsCount()

    - #### getResolvedPropConflictsCount

          public int getResolvedPropConflictsCount()

    - #### getResolvedTreeConflictsCount

          public int getResolvedTreeConflictsCount()

    - #### incrementSkippedPaths

          public void incrementSkippedPaths()

    - #### storeTextConflict

          public void storeTextConflict​(java.lang.String path)

    - #### storePropConflict

          public void storePropConflict​(java.lang.String path)

    - #### storeTreeConflict

          public void storeTreeConflict​(java.lang.String path)

    - #### getTextConflictsCount

          public int getTextConflictsCount()

    - #### getPropConflictsCount

          public int getPropConflictsCount()

    - #### getTreeConflictsCount

          public int getTreeConflictsCount()

    - #### getSkippedPathsCount

          public int getSkippedPathsCount()